package spoon.examples.stack.src;

import java.util.List;
import java.util.Vector;

import spoon.examples.stack.annotation.Bound;

@Bound(max = 5)
public class Stack<T> {

	List<T> elements = new Vector<T>();

	public void push(T element) {
		elements.add(0, element);
	}

	public T pop() {
		return elements.remove(0);
	}
}
