package spoon.examples.distcalc;

public class Factory {

    @SuppressWarnings("unchecked")
    public static <T> T getServices(Class<T> services) {
        try {
            return (T)Class.forName(services.getName()+"Impl").newInstance();
        } catch(Exception e) {
            e.printStackTrace();
        }
        return null;
    }
}
