package spoon.examples.distcalc.template;

import java.util.ArrayList;
import java.util.List;

import spoon.examples.distcalc.processing.ServiceProcessor;
import spoon.examples.distcalc.processing._NodeInterf_;
import spoon.reflect.Factory;
import spoon.reflect.code.BinaryOperatorKind;
import spoon.reflect.code.CtBinaryOperator;
import spoon.reflect.declaration.CtField;
import spoon.reflect.declaration.CtParameter;
import spoon.reflect.reference.CtTypeReference;
import spoon.template.Local;
import spoon.template.Parameter;
import spoon.template.Template;
import spoon.template.TemplateParameter;
import spoon.template.TemplateParameterList;

public class _MemoryCellType_ implements _NodeInterf_, Template {

    @Parameter
    List<CtParameter<?>> _parameters_;

    @Parameter("_fields_")
    List<CtField<?>> __fields_;

    @Parameter
    int _nParameters_;

    @Parameter
    Class<?> _ReturnType_;

    @Parameter
    CtTypeReference<?> _NodeInterf_;

    @Parameter
    CtTypeReference<?> _MemoryCellType_;

    @Parameter
    public TemplateParameterList<?> _parameterAssignments_;

    @Parameter
    public TemplateParameter<Boolean> _parameterTests_;

    List<CtField<?>> _fields_;

    _ReturnType_ result;

    public _MemoryCellType_(_ReturnType_ result, List<CtParameter<?>> _parameters_) {
        _parameterAssignments_.S();
        this.result = result;
    }

    @Local
    public _MemoryCellType_(Factory f, CtTypeReference<?> nodeInterfType,
            Class<?> returnType, String serviceName,
            List<CtParameter<?>> parameters) {
        this._NodeInterf_ = nodeInterfType;
        this._parameters_ = parameters;
        this._nParameters_ = parameters.size();
        this._ReturnType_ = returnType;
        this._MemoryCellType_ = f.Type().createReference(nodeInterfType
                .getPackage().toString()
                + "." + ServiceProcessor.getMemoryCellTypeName(serviceName));
        this.__fields_ = new ArrayList<CtField<?>>();
        for (CtParameter<?> p : parameters) {
            CtField<?> field = f.Field().create(null, f.Code().modifiers(), p.getType(), p
                    .getSimpleName());
            field.setParent(f.Template().get(_MemoryCellType_.class));
            this.__fields_.add(field);
        }
        this._parameterAssignments_ = f.Code().createVariableAssignments(
                __fields_, f.Code().createVariableAccesses(parameters));
        CtBinaryOperator<Boolean> eq = null;
        CtBinaryOperator<Boolean> expr = null;
        for (int i = 0; i < parameters.size(); i++) {
            eq = f.Code().createBinaryOperator(f.Code().createVariableAccess(
                    this.__fields_.get(i).getReference(), false), f.Code()
                    .createVariableAccess(parameters.get(i).getReference(),
                            false), BinaryOperatorKind.EQ);
            if (expr == null) {
                expr = eq;
            } else {
                expr = f.Code().createBinaryOperator(expr, eq,
                        BinaryOperatorKind.AND);
            }
        }
        _parameterTests_ = expr;
    }

    public boolean canProceed(List<CtParameter<?>> _parameters_) {
        return _parameterTests_.S();
    }

    public _ReturnType_ proceed(List<CtParameter<?>> _parameters_) {
        return result;
    }
}
